Subject: Re: draft-ietf-idr-bgp-identifier-02.txt

From: Manav Bhatia <[email-masked]>
Date: Tue, 08 Apr 2003 08:31:07 +0530

Hi Jenny,
Thanks for the comments. Please look inline.

> > - why is this restriction placed only for the internal peers. What if i
> > receive an OPEN message from an external peer with the same BGP ID as
mine?
>
> This draft relaxes the "uniqueness" requirement for a BGP Identifier
> so that the BGP Identifiers only needs to be unque inside its own AS.
> It's ok to receive the same BGP ID from an external peer as long as
> both BGP speaker support the AS-wide Unique BGP Identifier.

Hmmm .. it means that i may have some problems if my peer doesnt implement
this draft and i try to peer with another one which does and if both happen
to share the same BGP ID.

Additionally, are you sure that this draft does not raise any security
concerns [sec 6] because you are relaxing the checks on BGP ID?

> > Can it be re-phrased. I got lost! :-)
>
> This is not a re-phrase, just my attempt to explain the paragraph: ;-)
>
> In the route selection process:
>
> . since the BGP Identifier is not used to compare a route received from
>   an internal neighbor and a route from an external neighbor, therefore,
>   it's ok to have BGP Identifier unique only with the AS.
>
> . if two routes are received from BGP speakers with identical BGP
Identifier,
>   the neighbor with lower IP address is prefered. Again, there should not
>   be a problem having only AS-wide BGP Identifier.

This makes it a lot better. Can it be put this way in the draft.

Thanks,
Manav

---

From: Enke Chen <[email-masked]>
Date: Mon, 07 Apr 2003 21:38:20 -0700

Hi, Manav:

> Date: Tue, 08 Apr 2003 08:31:07 +0530
> From: Manav Bhatia <[email-masked]>
> Subject: Re: draft-ietf-idr-bgp-identifier-02.txt
> To: [email-masked]
> Cc: [email-masked]
> Reply-To: Manav Bhatia <[email-masked]>
> Message-id: <[email-masked]>
> 
> Hi Jenny,

Please see the following text in the Remarks Section of the draft:

   A BGP speaker that supports the AS-wide Unique BGP Identifier can not
   share a BGP Identifier with its external neighbor until the remote
   BGP speaker is upgraded with software that supports the proposed
   revisions.

> concerns [sec 6] because you are relaxing the checks on BGP ID?

No, we do not see any security issue.

> This makes it a lot better. Can it be put this way in the draft.

We will try to make the text clearer in the next revision.

Regards,

-- Enke